# XmppEvent class abstract

Implementers
  - AuthenticationFailedEvent
  - AuthenticationSuccessEvent
  - BlocklistBlockPushEvent
  - BlocklistUnblockAllPushEvent
  - BlocklistUnblockPushEvent
  - ChatMarkerEvent
  - ConnectingEvent
  - ConnectionStateChangedEvent
  - DeliveryReceiptReceivedEvent
  - InvalidateFASTTokenEvent
  - MemberChangedEvent
  - MemberChangedNickEvent
  - MemberJoinedEvent
  - MemberLeftEvent
  - MessageEvent
  - NewFASTTokenReceivedEvent
  - NonRecoverableErrorEvent
  - OmemoDeviceListUpdatedEvent
  - OwnDataChangedEvent
  - PubSubNotificationEvent
  - ResourceBoundEvent
  - RosterUpdatedEvent
  - ServerDiscoDoneEvent
  - ServerItemDiscoEvent
  - StanzaAckedEvent
  - StanzaSendingCancelledEvent
  - StreamErrorEvent
  - StreamManagementEnabledEvent
  - StreamNegotiationsDoneEvent
  - StreamResumedEvent
  - StreamResumeFailedEvent
  - SubscriptionRequestReceivedEvent
  - UserAvatarUpdatedEvent
  - VCardAvatarUpdatedEvent

## Constructors

XmppEvent ()

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited